<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>网络管理系统</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../system/js/system_common.js"></script>
<script type="text/javascript" src="js/program_backup.js"></script>
<script type="text/javascript">
var language = CHINESE;
</script>
<style type="text/css">
table input[type=text]
{
	width: 93%;
}
table select
{
	width: 150px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">常规</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="40%">备份</th>
        <td class="header">
          <select id="backupSwitch" class="select_fix_width" onchange="displayBackup();">
            <option value="0" selected="selected">关闭</option>
            <option value="1">打开</option>
          </select>
        </td>
      </tr>
      <tr id="backupModeTr" style="display: none;">
        <th>备份模式</th>
        <td>
          <select id="backupMode" class="select_fix_width">
            <option value="1" selected="selected">指定主路</option>
            <option value="2">指定备路</option>
            <option value="3">主路优先</option>
            <option value="4">单向切换</option>
            <option value="5">浮动</option>
          </select>
        </td>
      </tr>
      <tr id="mbSwitchTimeTr" style="display: none;">
        <th>主路检测延时 (s)</th>
        <td>
          <input type="text" id="mbSwitchTime" class="input_fix_width" />
        </td>
      </tr>
      <tr id="bmSwitchTimeTr" style="display: none;">
        <th>备路检测延时 (s)</th>
        <td>
          <input type="text" id="bmSwitchTime" class="input_fix_width" />
        </td>
      </tr>
      <tr id="ccErrorMaxTr" style="display: none;">
        <th>CC错误计数</th>
        <td>
          <input type="text" id="ccErrorMax" class="input_fix_width" />
        </td>
      </tr>
       <tr id="ccErrorTimeTr" style="display: none;">
        <th>CC错误时间(s)</th>
        <td>
          <input type="text" id="ccErrorTime" class="input_fix_width" />
        </td>
      </tr>
       <tr id="ccRevertTimeTr" style="display: none;">
        <th>CC恢复时间(s)</th>
        <td>
          <input type="text" id="ccRevertTime" class="input_fix_width" />
        </td>
      </tr>
      <tr id="monitorOptionsTr" style="display: none;">
        <th>TR101 290</th>
        <td>
          <input type="checkbox" id="syncErrorCheck" />同步丢失错
          <input type="checkbox" id="pmtErrorCheck" />PMT错误
          <input type="checkbox" id="pidErrorCheck" />PID错误
          <input type="checkbox" id="scrambleErrorCheck" />加扰错误
          <input type="checkbox" id="ccErrorCheck" />连续计数错
        </td>
      </tr>
      <tr id="curStateTr" style="display: none;">
        <th>当前状态</th>
        <td id="curState"></td>
      </tr>
    </table>
  </div>
  <div id="backupProg" style="display: none;">
    <div class="content_div_full">
      <div class="table_tab_div">
        <div class="table_tab_left"></div>
        <div class="table_tab">节目备份</div>
        <div class="table_tab_right"></div>
      </div>
      <table>
        <tr>
          <th rowspan="2" width="5%">类型</th>
          <th rowspan="2">板卡</th>
          <th rowspan="2">端口</th>
          <th rowspan="2" width="12%">描述</th>
          <th rowspan="2" width="8%">节目号</th>
          <th rowspan="2" width="12%">节目名称</th>
          <th rowspan="2" width="13%">当前码率</th>
          <th colspan="2" width="18%">码率 (Kbps)</th>
        </tr>
        <tr>
          <th>下限</th>
          <th>上限</th>
        </tr>
        <tr id="mainDataRow">
          <td class="special">主路</td>
          <td id="mainCard"></td>
          <td id="mainPort"></td>
          <td id="mainPortName"></td>
          <td id="mainServiceId"></td>
          <td id="mainServiceName"></td>
          <td id="mainCurBitrate"></td>
          <td>
            <input type="text" id="mainMinRate"  value="0" />
          </td>
          <td>
            <input type="text" id="mainMaxRate" value="0" />
          </td>
        </tr>
        <tr id="backupDataRow">
          <td class="special">备路</td>
          <td>
            <select id="backupCard" onchange="populateBackupPorts($(this))">
            </select>
          </td>
          <td>
            <select id="backupPort" class="select_fix_width" onchange="changePortName();">
            </select>
          </td>
          <td>
            <span id="backupPortName"></span>
          </td>
          <td>
            <input type="text" id="backupServiceId" />
          </td>
          <td id="backupServiceName"></td>
          <td id="backupCurBitrate"></td>
          <td>
            <input type="text" id="backupMinRate"  value="500" />
          </td>
          <td>
            <input type="text" id="backupMaxRate"  value="8000" />
          </td>
        </tr>
      </table>
    </div>
  </div>
</div>
<div class="mainframe_button_bar">
  <div class="button_set_noalign">
    <input type="button" id="applyBtn" value="应 用" class="input_normal" onclick ="pageApply();" />
    <input type="button" id="refreshBtn" value="刷 新" class="input_normal" onclick="PageRefresh(BOTTOM);" />
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
