<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Web Management</title>
<link rel="stylesheet" type="text/css" href="../style/simplemodal.css" />
<link rel="stylesheet" href="../style/common.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/port_backup.js"></script>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
.button_area_width
{
	width: 326px;
}
table select
{
	width: 300px;
}
.port_desc
{
	background: #f6f6f6;
	text-align: left;
	padding-left: 6px;
}
</style>
</head>
<body>
<div id="mainContent" class="mainframe">
  <div class="content_div_full">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Port Backup</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div id="buttonArea" class="div_table_button_area button_area_width">
        <input type="button" id="addBtn" value="Add" class="input_normal" onclick="addBackup();" />
        <input type="button" id="batchModifyBtn" value="Batch Modify" class="input_middle1_normal" onclick="batchModifyBackup();"/>
        <input type="button" id="deleteBtn" value="Delete" class="input_normal" onclick="deleteBackup();" />
        <input type="button" id="refreshBtn" value="Refresh" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table id="dataTable" style="word-break: break-all; word-wrap: break-all;">
      <tr>
        <th style="width:18px">
          <input type="checkbox" id="checkAll" class="all_check" onclick="checkAll(); "/>
        </th>
        <th>Type</th>
        <th>Card</th>
        <th>Port</th>
        <th>Description</th>
        <th style="width:110px;">Mux Bitrate Range (Kbps)</th>
        <th width="15%">Current Mux Bitrate</th>
        <th style="width:100px;">Checking<br />Delay(s)</th>
        <th>Backup Mode</th>
        <th style="width:55px;">Work<br />
          Status</th>
        <th style="display: none">Sync Loss </th>
        <th style="display: none">Sync Byte Error </th>
        <th style="display: none">PAT Error</th>
        <th style="width:60px;">Operation </th>
      </tr>
    </table>
    <table style="display: none;">
      <tr id="mainDataRow0" class="mainCaseRow">
        <td rowspan="2">
          <input type="checkbox" class="row_check" id="check0" />
        </td>
        <td class="special">Main</td>
        <td>
          <span id="mainCard0"></span>
        </td>
        <td>
          <span id="mainPort0"></span>
        </td>
        <td>
          <span id="mainDescription0"></span>
        </td>
        <td>
          <span id="mainMinRate0"></span>
          ~
          <span id="mainMaxRate0"></span>
        </td>
        <td>
          <span id="mainCurRate0"></span>
        </td>
        <td>
          <span id="mainSwitchDelay0"></span>
        </td>
        <td rowspan="2">
          <span id="backupMode0"></span>
        </td>
        <td rowspan="2">
          <span id="workState0"></span>
        </td>
        <td rowspan="2" style="display: none">
          <span id="syncLossError0"></span>
        </td>
        <td rowspan="2" style="display: none">
          <span id="syncByteError0"></span>
        </td>
        <td rowspan="2" style="display: none">
          <span id="patError0"></span>
        </td>
        <td rowspan="2">
          <img id="modify0" src="../style/images/xiugai.png" class="img_hand" title="Edit" style="cursor:pointer" onclick="modifyBackup($(this))" />
        </td>
      </tr>
      <tr id="backupDataRow0" class="backupCaseRow">
        <td class="special">Backup</td>
        <td>
          <span id="backupCard0"></span>
        </td>
        <td>
          <span id="backupPort0"></span>
        </td>
        <td>
          <span id="backupDescription0"></span>
        </td>
        <td>
          <span id="backupMinRate0"></span>
          ~
          <span id="backupMaxRate0"></span>
        </td>
        <td>
          <span id="backupCurRate0"></span>
        </td>
        <td>
          <span id="backupSwitchDelay0"></span>
        </td>
      </tr>
    </table>
  </div>
  <div id="editBackup" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Add/Modify</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="240px">Main Card</th>
        <td class="header">
          <select id="editMainCard" onchange="populateMainPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>Main Port</th>
        <td>
          <select id="editMainPort" onchange="getPortName(1);">
          </select>
        </td>
      </tr>
      <tr>
        <th>Main Port Description</th>
        <td class="port_desc">
          <span id="editMainPortName"></span>
        </td>
      </tr>
      <tr>
        <th>Main Bitrate Lower Limit(Kbps)</th>
        <td>
          <input type="text" id="editMainMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>Main Bitrate Upper Limit (Kbps)</th>
        <td>
          <input type="text" id="editMainMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>Main Checking Delay (s)</th>
        <td>
          <input type="text" id="M2BSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>Backup Card</th>
        <td>
          <select id="editBackupCard" onchange="populateBackupPort($(this))">
          </select>
        </td>
      </tr>
      <tr>
        <th>Backup Port</th>
        <td>
          <select id="editBackupPort" onchange="getPortName(2);">
          </select>
        </td>
      </tr>
      <tr>
        <th>Backup Port Description</th>
        <td class="port_desc">
          <span id="editBackupPortName"></span>
        </td>
      </tr>
      <tr>
        <th>Backup Bitrate Lower Limit (Kbps)</th>
        <td>
          <input type="text" id="editBackupMinRate" value="1000" />
        </td>
      </tr>
      <tr>
        <th>Backup Bitrate Upper Limit (Kbps)</th>
        <td>
          <input type="text" id="editBackupMaxRate" value="100000" />
        </td>
      </tr>
      <tr>
        <th>Backup Checking Delay (s)</th>
        <td>
          <input type="text" id="B2MSwitchTime" value="1" />
        </td>
      </tr>
      <tr>
        <th>Backup Mode</th>
        <td>
          <select id="editBackupMode">
            <option value="1">Assign Main</option>
            <option value="2">Assign Backup</option>
            <option value="3" selected="selected">Main Priority</option>
            <option value="4">One Way Switch</option>
            <option value="5">Floating</option>
          </select>
        </td>
      </tr>
      <tr>
        <th>TR101 290</th>
        <td>
          <input type="checkbox" id="syncLossErrorCheck" />
          Sync Loss
          <input type="checkbox" id="syncByteErrorCheck" />
          Sync Byte Error
          <input type="checkbox" id="patErrorCheck" />
          PAT Error </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="editBackuptBtn" value="Apply" class="input_normal" onclick="editBackupApply();" />
      <input type="button" id="cancelEditBackupBtn" value="Cancel" class="input_normal" onclick="cancelEdit();"/>
    </div>
  </div>
  <div id="batchModifyBackupDiv" class="content_div_small" style="display: none;">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Batch Modify</div>
      <div class="table_tab_right"></div>
    </div>
    <table>
      <tr>
        <th width="240px">Parameters</th>
        <th class="header">Value</th>
        <th class="header">
          <input type="checkbox" id="allApplyCheck" />
        </th>
      </tr>
      <tr>
        <th>Main Bitrate Lower Limit(Kbps)</th>
        <td>
          <input type="text" id="batchMainMinRate" value="1000" />
        </td>
        <td>
          <input type="checkbox" class="apply_check" id="batchMainMinRateCheck" />
        </td>
      </tr>
      <tr>
        <th>Main Bitrate Upper Limit (Kbps)</th>
        <td>
          <input type="text" id="batchMainMaxRate" value="100000" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchMainMaxRateCheck" />
        </td>
      </tr>
      <tr>
        <th>Main Checking Delay (s)</th>
        <td>
          <input type="text" id="batchM2BSwitchTime" value="1" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchM2BSwitchTimeCheck" />
        </td>
      </tr>
      <tr>
        <th>Backup Bitrate Lower Limit (Kbps)</th>
        <td>
          <input type="text" id="batchBackupMinRate" value="1000" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchBackupMinRateCheck" />
        </td>
      </tr>
      <tr>
        <th>Backup Bitrate Upper Limit (Kbps)</th>
        <td>
          <input type="text" id="batchBackupMaxRate" value="100000" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchBackupMaxRateCheck" />
        </td>
      </tr>
      <tr>
        <th>Backup Checking Delay (s)</th>
        <td>
          <input type="text" id="batchB2MSwitchTime" value="1" />
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchB2MSwitchTimeCheck" />
        </td>
      </tr>
      <tr>
        <th>Backup Mode</th>
        <td>
          <select id="batchBackupMode">
            <option value="1">Assign Main</option>
            <option value="2">Assign Backup</option>
            <option value="3" selected="selected">Main Priority</option>
            <option value="4">One Way Switch</option>
            <option value="5">Floating</option>
          </select>
        </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchBackupModeCheck" />
        </td>
      </tr>
      <tr>
        <th rowspan="3">TR101 290</th>
        <td style="text-align:left">
          <input type="checkbox" id="batchSyncLossError" />
          Sync Loss </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchSyncLossErrorCheck" />
        </td>
      </tr>
      <tr>
        <td style="text-align:left">
          <input type="checkbox" id="batchSyncByteError" />
          Sync Byte Error </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchSyncByteErrorCheck" />
        </td>
      </tr>
      <tr>
        <td style="text-align:left">
          <input type="checkbox" id="batchPatError" />
          PAT Error </td>
        <td class="header">
          <input type="checkbox" class="apply_check" id="batchPatErrorCheck" />
        </td>
      </tr>
    </table>
    <div class="bottom_button_div">
      <input type="button" id="batchModifyApplyBtn" value="Apply" class="input_normal" onclick="batchModifyApply();" />
      <input type="button" id="batchCancelBtn" value="Cancel" class="input_normal" onclick="batchCancel();"/>
    </div>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
